/**
 * @projectName willalp-pns-ml
 * @package com.willalp.web.controller.erms
 * @className com.willalp.web.controller.erms.GoodsStorageStatController
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.web.controller.erms;

import com.willalp.common.core.controller.BaseController;
import com.willalp.common.core.domain.AjaxResult;
import com.willalp.erms.domain.vo.DeptStatVo;
import com.willalp.erms.service.IHsGoodsStorageRecordService;
import com.willalp.erms.service.IHsGoodsStorageService;
import com.willalp.erms.service.IHsGoodsTypeService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * GoodsStorageStatController
 * @description 物资相关统计功能controller
 * @author hs
 * @date 2023/5/12 13:37
 * @version 1.0
 */
@RestController
@RequestMapping("/erms/stat")
public class GoodsStorageStatController extends BaseController {

    @Resource
    private IHsGoodsStorageService hsGoodsStorageService;

    @Resource
    private IHsGoodsStorageRecordService hsGoodsStorageRecordService;

    @Resource
    private IHsGoodsTypeService hsGoodsTypeService;


    /**
     * 查询物资库列表
     */
    @GetMapping("/deptListStat")
    public AjaxResult deptListStat(String m) {
        List<DeptStatVo> deptStatVos = hsGoodsStorageRecordService.deptGoodsReceiveStat(m);
        return AjaxResult.success(deptStatVos);
    }

}
 