package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.TreeEntity;
import lombok.*;

import java.util.ArrayList;
import java.util.List;

/**
 * 礼品类型对象 hs_gift_type
 *
 * @author willalp
 * @date 2022-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HsGiftType extends TreeEntity {
    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    /** 主键 */
    @TableId
    private String id;
    /** 礼品类型编号 */
    @Excel(name = "礼品类型编号")
    private String giftTypeNo;
    /** 礼品类型名称 */
    @Excel(name = "礼品类型名称")
    private String giftTypeName;

    private int orderNum;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getGiftTypeNo() {
        return giftTypeNo;
    }

    public void setGiftTypeNo(String giftTypeNo) {
        this.giftTypeNo = giftTypeNo;
    }

    public String getGiftTypeName() {
        return giftTypeName;
    }

    public void setGiftTypeName(String giftTypeName) {
        this.giftTypeName = giftTypeName;
    }

    public int getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(int orderNum) {
        this.orderNum = orderNum;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public List<?> getChildren() {
        return children;
    }

    public void setChildren(List<?> children) {
        this.children = children;
    }

    /** 是否删除（0.未删除；1.已删除） */
    private Integer isDelete;
    /** 子部门 */
    @TableField(exist = false)
    private List<?> children = new ArrayList<>();

}
