package com.willalp.canteen.domain.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.canteen.domain.resp.CuisineListResp;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class DeviceOrderSubmissionReq {

    private static final long serialVersionUID = 1L;
    //@NotNull(message = "菜单编号不能为空")
    private String menuNumber;

    private Integer patternId;

    private BigDecimal orderTotal;

    private String deviceNumber;

    private String placeNumber;

    private int num;

    //@NotNull(message = "支付时间不能不能为空")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date paytime;

    //@NotNull(message = "订单明细不能为空")
    private List<CuisineListResp> details;

    public DeviceOrderSubmissionReq() {
    }

    public String getMenuNumber() {
        return this.menuNumber;
    }

    public Integer getPatternId() {
        return this.patternId;
    }

    public BigDecimal getOrderTotal() {
        return this.orderTotal;
    }

    public String getDeviceNumber() {
        return this.deviceNumber;
    }

    public String getPlaceNumber() {
        return this.placeNumber;
    }

    public int getNum() {
        return this.num;
    }

    public Date getPaytime() {
        return this.paytime;
    }

    public List<CuisineListResp> getDetails() {
        return this.details;
    }

    public void setMenuNumber(String menuNumber) {
        this.menuNumber = menuNumber;
    }

    public void setPatternId(Integer patternId) {
        this.patternId = patternId;
    }

    public void setOrderTotal(BigDecimal orderTotal) {
        this.orderTotal = orderTotal;
    }

    public void setDeviceNumber(String deviceNumber) {
        this.deviceNumber = deviceNumber;
    }

    public void setPlaceNumber(String placeNumber) {
        this.placeNumber = placeNumber;
    }

    public void setNum(int num) {
        this.num = num;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    public void setPaytime(Date paytime) {
        this.paytime = paytime;
    }

    public void setDetails(List<CuisineListResp> details) {
        this.details = details;
    }

    public boolean equals(final Object o) {
        if (o == this) return true;
        if (!(o instanceof DeviceOrderSubmissionReq)) return false;
        final DeviceOrderSubmissionReq other = (DeviceOrderSubmissionReq) o;
        if (!other.canEqual((Object) this)) return false;
        final Object this$menuNumber = this.getMenuNumber();
        final Object other$menuNumber = other.getMenuNumber();
        if (this$menuNumber == null ? other$menuNumber != null : !this$menuNumber.equals(other$menuNumber))
            return false;
        final Object this$patternId = this.getPatternId();
        final Object other$patternId = other.getPatternId();
        if (this$patternId == null ? other$patternId != null : !this$patternId.equals(other$patternId)) return false;
        final Object this$orderTotal = this.getOrderTotal();
        final Object other$orderTotal = other.getOrderTotal();
        if (this$orderTotal == null ? other$orderTotal != null : !this$orderTotal.equals(other$orderTotal))
            return false;
        final Object this$deviceNumber = this.getDeviceNumber();
        final Object other$deviceNumber = other.getDeviceNumber();
        if (this$deviceNumber == null ? other$deviceNumber != null : !this$deviceNumber.equals(other$deviceNumber))
            return false;
        final Object this$placeNumber = this.getPlaceNumber();
        final Object other$placeNumber = other.getPlaceNumber();
        if (this$placeNumber == null ? other$placeNumber != null : !this$placeNumber.equals(other$placeNumber))
            return false;
        if (this.getNum() != other.getNum()) return false;
        final Object this$paytime = this.getPaytime();
        final Object other$paytime = other.getPaytime();
        if (this$paytime == null ? other$paytime != null : !this$paytime.equals(other$paytime)) return false;
        final Object this$details = this.getDetails();
        final Object other$details = other.getDetails();
        if (this$details == null ? other$details != null : !this$details.equals(other$details)) return false;
        return true;
    }

    protected boolean canEqual(final Object other) {
        return other instanceof DeviceOrderSubmissionReq;
    }

    public int hashCode() {
        final int PRIME = 59;
        int result = 1;
        final Object $menuNumber = this.getMenuNumber();
        result = result * PRIME + ($menuNumber == null ? 43 : $menuNumber.hashCode());
        final Object $patternId = this.getPatternId();
        result = result * PRIME + ($patternId == null ? 43 : $patternId.hashCode());
        final Object $orderTotal = this.getOrderTotal();
        result = result * PRIME + ($orderTotal == null ? 43 : $orderTotal.hashCode());
        final Object $deviceNumber = this.getDeviceNumber();
        result = result * PRIME + ($deviceNumber == null ? 43 : $deviceNumber.hashCode());
        final Object $placeNumber = this.getPlaceNumber();
        result = result * PRIME + ($placeNumber == null ? 43 : $placeNumber.hashCode());
        result = result * PRIME + this.getNum();
        final Object $paytime = this.getPaytime();
        result = result * PRIME + ($paytime == null ? 43 : $paytime.hashCode());
        final Object $details = this.getDetails();
        result = result * PRIME + ($details == null ? 43 : $details.hashCode());
        return result;
    }

    public String toString() {
        return "DeviceOrderSubmissionReq(menuNumber=" + this.getMenuNumber() + ", patternId=" + this.getPatternId() + ", orderTotal=" + this.getOrderTotal() + ", deviceNumber=" + this.getDeviceNumber() + ", placeNumber=" + this.getPlaceNumber() + ", num=" + this.getNum() + ", paytime=" + this.getPaytime() + ", details=" + this.getDetails() + ")";
    }
}
