package com.willalp.device.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.device.domain.HsDeviceRepairs;
import com.willalp.device.mapper.HsDeviceRepairsMapper;
import com.willalp.device.service.IHsDeviceRepairsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 设备报修流程记录Service业务层处理
 *
 * @author willalp
 * @date 2023-04-21
 */
@Service
public class HsDeviceRepairsServiceImpl extends ServiceImpl<HsDeviceRepairsMapper, HsDeviceRepairs>  implements IHsDeviceRepairsService
{
    @Resource
    private HsDeviceRepairsMapper hsDeviceRepairsMapper;

    /**
     * 查询设备报修流程记录列表
     *
     * @param hsDeviceRepairs 设备报修流程记录
     * @return 设备报修流程记录
     */
    @Override
    public List<HsDeviceRepairs> selectHsDeviceRepairsList(HsDeviceRepairs hsDeviceRepairs)
    {
        return hsDeviceRepairsMapper.selectHsDeviceRepairsList(hsDeviceRepairs);
    }
}
