package com.willalp.device.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.willalp.common.utils.DateUtils;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.willalp.device.mapper.HsDeviceScrapFlowRecordMapper;
import com.willalp.device.domain.HsDeviceScrapFlowRecord;
import com.willalp.device.service.IHsDeviceScrapFlowRecordService;

/**
 * 设备报废流程记录Service业务层处理
 *
 * @author willalp
 * @date 2023-04-23
 */
@Service
public class HsDeviceScrapFlowRecordServiceImpl extends ServiceImpl<HsDeviceScrapFlowRecordMapper, HsDeviceScrapFlowRecord>  implements IHsDeviceScrapFlowRecordService
{
    @Resource
    private HsDeviceScrapFlowRecordMapper hsDeviceScrapFlowRecordMapper;

    /**
     * 查询设备报废流程记录列表
     *
     * @param hsDeviceScrapFlowRecord 设备报废流程记录
     * @return 设备报废流程记录
     */
    @Override
    public List<HsDeviceScrapFlowRecord> selectHsDeviceScrapFlowRecordList(HsDeviceScrapFlowRecord hsDeviceScrapFlowRecord)
    {
        return hsDeviceScrapFlowRecordMapper.selectHsDeviceScrapFlowRecordList(hsDeviceScrapFlowRecord);
    }
}
