package com.willalp.event.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 慰问记录对象 condole_record
 *
 * @author willalp
 * @date 2023-05-11
 */

@TableName("condole_record")
public class CondoleRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    @Excel(name = "出院小结")
    private String cyxj;

    /** 慰问类型 */
    @Excel(name = "慰问类型")
    private String wwlx;

    /** 姓名 */
    @Excel(name = "姓名")
    private String userName;

    /** 工会会员卡号 */
    @Excel(name = "工会会员卡号")
    private String clubNo;

    /** 疾病名称*/
    @Excel(name = "疾病名称")
    private String jbmc;

    /** 住院日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "住院日期", width = 30, dateFormat = "yyyy-MM - dd")
    private Date zhuyuanDate;

    /** 出院日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "出院日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date chuyuanDate;

    /** 伤害时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "伤害时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shanghaiDate;

    /** 具体工作场所 */
    @Excel(name = "具体工作场所")
    private String jtgzcs;

    /** 双方关系*/
    @Excel(name = "双方关系")
    private String sfgx;

    /** 附件图片*/
    @Excel(name = "附件图片")
    private String fjtp;

    /**
     * 申请事项
     */
    private String remark;

    private String bohui;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setWwlx(String wwlx) {
        this.wwlx = wwlx;
    }

    public String getWwlx() {
        return wwlx;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setClubNo(String clubNo) {
        this.clubNo = clubNo;
    }

    public String getClubNo() {
        return clubNo;
    }

    public void setJbmc(String jbmc) {
        this.jbmc = jbmc;
    }

    public String getJbmc() {
        return jbmc;
    }

    public void setZhuyuanDate(Date zhuyuanDate) {
        this.zhuyuanDate = zhuyuanDate;
    }

    public Date getZhuyuanDate() {
        return zhuyuanDate;
    }

    public void setChuyuanDate(Date chuyuanDate) {
        this.chuyuanDate = chuyuanDate;
    }

    public Date getChuyuanDate() {
        return chuyuanDate;
    }

    public void setShanghaiDate(Date shanghaiDate) {
        this.shanghaiDate = shanghaiDate;
    }

    public Date getShanghaiDate() {
        return shanghaiDate;
    }

    public void setJtgzcs(String jtgzcs) {
        this.jtgzcs = jtgzcs;
    }

    public String getJtgzcs() {
        return jtgzcs;
    }

    public void setSfgx(String sfgx) {
        this.sfgx = sfgx;
    }

    public String getSfgx() {
        return sfgx;
    }

    public void setFjtp(String fjtp) {
        this.fjtp = fjtp;
    }

    public String getFjtp() {
        return fjtp;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("wwlx", getWwlx())
                .append("userName", getUserName())
                .append("clubNo", getClubNo())
                .append("jbmc", getJbmc())
                .append("zhuyuanDate", getZhuyuanDate())
                .append("chuyuanDate", getChuyuanDate())
                .append("shanghaiDate", getShanghaiDate())
                .append("jtgzcs", getJtgzcs())
                .append("sfgx", getSfgx())
                .append("fjtp", getFjtp())
                .append("isDelete", getIsDelete())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

    public String getCyxj() {
        return cyxj;
    }

    public void setCyxj(String cyxj) {
        this.cyxj = cyxj;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getBohui() {
        return bohui;
    }

    public void setBohui(String bohui) {
        this.bohui = bohui;
    }
}
