package com.willalp.event.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.willalp.event.domain.CondoleRecord;
import com.willalp.event.mapper.CondoleReordMapper;
import com.willalp.event.service.ICondoleReordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 慰问记录Service业务层处理
 *
 * @author willalp
 * @date 2023-05-11
 */
@Service
public class CondoleReordServiceImpl extends ServiceImpl<CondoleReordMapper, CondoleRecord>  implements ICondoleReordService
{
    @Resource
    private CondoleReordMapper condoleReordMapper;

    /**
     * 查询慰问记录列表
     *
     * @param condoleRecord 慰问记录
     * @return 慰问记录
     */
    @Override
    public List<CondoleRecord> selectCondoleReordList(CondoleRecord condoleRecord)
    {
        return condoleReordMapper.selectCondoleReordList(condoleRecord);
    }
}
