package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;

/**
 * 信访件处理记录对象 hs_letter_dispose
 *
 * @author willalp
 * @date 2023-06-27
 */

@TableName("hs_letter_dispose")
public class HsLetterDispose extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private String id;

    /** 审批标题 */
    @Excel(name = "审批标题")
    private String title;

    /** 附件列表 */
    @Excel(name = "附件列表")
    private String fileList;

    /** 图片列表 */
    @Excel(name = "图片列表")
    private String imgList;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String disposeResult;

    /** 是否解决 */
    @Excel(name = "是否解决")
    private String isSolve;

    /** 申请人user_code */
    @Excel(name = "申请人user_code")
    private String applyUserId;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyUserName;

    /**
     * 备注
     */
    private String remark;

    private String taskId;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setFileList(String fileList)
    {
        this.fileList = fileList;
    }

    public String getFileList()
    {
        return fileList;
    }
    public void setImgList(String imgList)
    {
        this.imgList = imgList;
    }

    public String getImgList()
    {
        return imgList;
    }
    public void setDisposeResult(String disposeResult)
    {
        this.disposeResult = disposeResult;
    }

    public String getDisposeResult()
    {
        return disposeResult;
    }
    public void setIsSolve(String isSolve)
    {
        this.isSolve = isSolve;
    }

    public String getIsSolve()
    {
        return isSolve;
    }
    public void setApplyUserId(String applyUserId)
    {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserId()
    {
        return applyUserId;
    }
    public void setApplyUserName(String applyUserName)
    {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserName()
    {
        return applyUserName;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("fileList", getFileList())
            .append("imgList", getImgList())
            .append("disposeResult", getDisposeResult())
            .append("isSolve", getIsSolve())
            .append("applyUserId", getApplyUserId())
            .append("applyUserName", getApplyUserName())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
