package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.springframework.data.annotation.CreatedDate;

import java.util.Date;

/**
 * 用章申请流程记录对象 hs_use_seal
 *
 * @author willalp
 * @date 2023-03-31
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
public class HsUseSeal extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;
    /** 审批标题 */
    @Excel(name = "审批标题")
    private String title;
    /** 部门 */
    @Excel(name = "部门")
    private String department;
    /** 使用形式 */
    @Excel(name = "使用形式")
    private String usA;
    /** 印章类别 */
    @Excel(name = "印章类别")
    private String usB;
    /** 使用地点 */
    @Excel(name = "使用地点")
    private String usE;
    /** 用印开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "用印开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date usFTime;
    /** 用印结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "用印结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date usDTime;
    /** 归还时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "归还时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date usJTime;
    /** 文件类型 */
    @Excel(name = "文件类型")
    private String soG;
    /** 文件名称 */
    @Excel(name = "文件名称")
    private String soH;
    /** 文件份数 */
    @Excel(name = "文件份数")
    private String soI;

    /**
     * 文件预览
     */
    private String photos;

    private String isSign;

    /** 申请原因 */
    @Excel(name = "申请原因")
    private String conclusion;
    /** 提交人Code */
    private String applyUserId;
    /** 申请人 */
    @Excel(name = "申请人")
    private String applyUserName;
    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date applyTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date createTime;

    @Excel(name = "申请时间", width = 30)
    @TableField(exist = false)
    private String createDateTime;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("title", getTitle())
            .append("department", getDepartment())
            .append("usA", getUsA())
            .append("usB", getUsB())
            .append("usE", getUsE())
            .append("usF", getUsFTime())
            .append("usD", getUsDTime())
            .append("usJ", getUsJTime())
            .append("soG", getSoG())
            .append("soH", getSoH())
            .append("soI", getSoI())
            .append("conclusion", getConclusion())
            .append("applyUserName", getApplyUserName())
            .append("applyTime", getApplyTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
        .toString();
    }
}
