/**
 * @projectName WILLALP-PNS-ML
 * @package com.willalp.flow.service
 * @className com.willalp.flow.service.FlowTriggerService
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.flow.service;

import cn.hutool.json.JSONObject;
import com.alibaba.fastjson.JSON;
import com.willalp.erms.service.IHsGoodsStorageService;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * FlowTriggerService
 * @description 触发器操作逻辑定义入口
 * @author hs
 * @date 2023/5/24 16:05
 * @version 1.0
 */
public interface FlowTriggerService {

    /**
     *
     * @Title: doMethod
     * @Description:
     * @param methodName 函数名称
     * @param methodParam 参数集合 List
     * @return
     * @throws Exception Object
     */
    Object doMethod(String methodName, List<Map<String, Object>> methodParam) throws Exception;


    /**
     *
     *
     * @param taskId
     * @return
     */
    JSONObject getTaskBizData(String taskId);

    /**
     * 更新物资库存触发器
     *
     * @param param
     * @param taskId
     */
    void goodsStorageUpdate(String taskId, String param);

    /**
     * 更新员工档案触发器
     *
     * @param taskId
     */
    void orgPersonnelFilesUpdate(String taskId);

    /**
     * 手机卡申请结束领取手机卡推送提醒
     *
     * @param taskId
     */
    void phoneApplyEndPush(String taskId);
}
 