package com.willalp.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.willalp.common.utils.DateUtils;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.willalp.flow.mapper.HsContractManageMapper;
import com.willalp.flow.domain.HsContractManage;
import com.willalp.flow.service.IHsContractManageService;

/**
 * 合同管理记录Service业务层处理
 *
 * @author willalp
 * @date 2023-05-24
 */
@Service
public class HsContractManageServiceImpl extends ServiceImpl<HsContractManageMapper, HsContractManage>  implements IHsContractManageService
{
    @Resource
    private HsContractManageMapper hsContractManageMapper;

    /**
     * 查询合同管理记录列表
     *
     * @param hsContractManage 合同管理记录
     * @return 合同管理记录
     */
    @Override
    public List<HsContractManage> selectHsContractManageList(HsContractManage hsContractManage)
    {
        return hsContractManageMapper.selectHsContractManageList(hsContractManage);
    }
}
