package com.willalp.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.willalp.common.utils.DateUtils;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.willalp.flow.mapper.HsLetterDisposeMapper;
import com.willalp.flow.domain.HsLetterDispose;
import com.willalp.flow.service.IHsLetterDisposeService;

/**
 * 信访件处理记录Service业务层处理
 *
 * @author willalp
 * @date 2023-06-27
 */
@Service
public class HsLetterDisposeServiceImpl extends ServiceImpl<HsLetterDisposeMapper, HsLetterDispose>  implements IHsLetterDisposeService
{
    @Resource
    private HsLetterDisposeMapper hsLetterDisposeMapper;

    /**
     * 查询信访件处理记录列表
     *
     * @param hsLetterDispose 信访件处理记录
     * @return 信访件处理记录
     */
    @Override
    public List<HsLetterDispose> selectHsLetterDisposeList(HsLetterDispose hsLetterDispose)
    {
        return hsLetterDisposeMapper.selectHsLetterDisposeList(hsLetterDispose);
    }
}
