package com.willalp.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.util.List;
import java.util.stream.Collectors;

import com.willalp.common.core.domain.entity.SysDictData;
import com.willalp.common.utils.DateUtils;

import javax.annotation.Resource;

import com.willalp.common.utils.StringUtils;
import com.willalp.system.service.ISysDictTypeService;
import org.springframework.stereotype.Service;
import com.willalp.flow.mapper.HsPhoneApplyMapper;
import com.willalp.flow.domain.HsPhoneApply;
import com.willalp.flow.service.IHsPhoneApplyService;

/**
 * 手机号申请记录Service业务层处理
 *
 * @author willalp
 * @date 2023-06-27
 */
@Service
public class HsPhoneApplyServiceImpl extends ServiceImpl<HsPhoneApplyMapper, HsPhoneApply> implements IHsPhoneApplyService {
    @Resource
    private HsPhoneApplyMapper hsPhoneApplyMapper;

    @Resource
    private ISysDictTypeService dictTypeService;


    /**
     * 查询手机号申请记录列表
     *
     * @param hsPhoneApply 手机号申请记录
     * @return 手机号申请记录
     */
    @Override
    public List<HsPhoneApply> selectHsPhoneApplyList(HsPhoneApply hsPhoneApply) {
        return hsPhoneApplyMapper.selectHsPhoneApplyList(hsPhoneApply);
    }

    @Override
    public List<HsPhoneApply> exportData(HsPhoneApply hsPhoneApply) {
        List<HsPhoneApply> hsPhoneApplies = hsPhoneApplyMapper.selectHsPhoneApplyList(hsPhoneApply);
        List<SysDictData> phonenumberApplyType = dictTypeService.selectDictDataByType("phonenumber_apply_type");
        hsPhoneApplies.forEach(phoneApply -> {
            phoneApply.setApplyType(dictTypeService.importTranslation(phonenumberApplyType, phoneApply.getApplyType()));
            if (phoneApply.getCreateTime() != null) {
                phoneApply.setCreateTimeText(DateUtils.dateTime(phoneApply.getCreateTime()));
            }
        });
        return hsPhoneApplies;
    }



}
