package com.willalp.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.willalp.common.utils.DateUtils;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.willalp.flow.mapper.HsPurchaseFlowRecordMapper;
import com.willalp.flow.domain.HsPurchaseFlowRecord;
import com.willalp.flow.service.IHsPurchaseFlowRecordService;

/**
 * 采购流程记录Service业务层处理
 *
 * @author willalp
 * @date 2023-04-23
 */
@Service
public class HsPurchaseFlowRecordServiceImpl extends ServiceImpl<HsPurchaseFlowRecordMapper, HsPurchaseFlowRecord>  implements IHsPurchaseFlowRecordService
{
    @Resource
    private HsPurchaseFlowRecordMapper hsPurchaseFlowRecordMapper;

    /**
     * 查询采购流程记录列表
     *
     * @param hsPurchaseFlowRecord 采购流程记录
     * @return 采购流程记录
     */
    @Override
    public List<HsPurchaseFlowRecord> selectHsPurchaseFlowRecordList(HsPurchaseFlowRecord hsPurchaseFlowRecord)
    {
        return hsPurchaseFlowRecordMapper.selectHsPurchaseFlowRecordList(hsPurchaseFlowRecord);
    }
}
