package com.willalp.quartz.task;

import com.willalp.canteen.domain.HsCanteenOrder;
import com.willalp.canteen.service.IHsCanteenOrderService;
import com.willalp.common.utils.StringUtils;
import com.willalp.event.service.IHsEventService;
import com.willalp.msg.service.IHsAppUserMsgService;
import com.willalp.push.service.IHsAppPushService;
import com.willalp.wx.enums.WxTemplateKeyEnum;
import com.willalp.wx.service.WxMsgService;
import com.willalp.wx.utils.WxUtils;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;
import java.util.concurrent.TimeUnit;

/**
 * 定时任务调度测试
 *
 * @author willalp
 */
@Component("willalpTask")
public class RyTask {

    @Resource
    private IHsCanteenOrderService canteenOrderService;

    @Resource
    private WxMsgService wxMsgService;

    @Resource
    private WxUtils wxUtils;

    @Resource
    private IHsAppPushService pushService;

    @Resource
    private IHsEventService eventService;

    public void ryMultipleParams(String s, Boolean b, Long l, Double d, Integer i) {
        System.out.println(StringUtils.format("执行多参方法： 字符串类型{}，布尔类型{}，长整型{}，浮点型{}，整形{}", s, b, l, d, i));
    }

    public void ryParams(String params) {
        System.out.println("执行有参方法：" + params);
    }

    public void ryNoParams() {
        System.out.println("执行无参方法");
    }


    @Scheduled(fixedRate = 1, timeUnit = TimeUnit.MINUTES)
    public void timingUpdateEventStatus() {
        eventService.timingUpdateEventStatus();
    }

    public void reserveRemind() {
        //获取今日未下单用户
        List<HsCanteenOrder> hsCanteenOrders = canteenOrderService.todayNotOrderUser();

    }

    @Resource
    private IHsAppUserMsgService userMsgService;

    public void pushMsgSum(){
        userMsgService.pushMsgSum();
    }
}
