import request from '@/utils/request'

// 查询慰问记录列表
export function listCondole(query) {
  return request({
    url: '/event/condole/list',
    method: 'get',
    params: query
  })
}

// 查询慰问记录详细
export function getCondole(id) {
  return request({
    url: '/event/condole/' + id,
    method: 'get'
  })
}
// 新增慰问记录
export function reject(data) {
  return request({
    url: '/event/condole/reject',
    method: 'post',
    data: data
  })
}

// 新增慰问记录
export function addCondole(data) {
  return request({
    url: '/event/condole',
    method: 'post',
    data: data
  })
}

// 修改慰问记录
export function updateCondole(data) {
  return request({
    url: '/event/condole',
    method: 'put',
    data: data
  })
}

// 删除慰问记录
export function delCondole(id) {
  return request({
    url: '/event/condole/' + id,
    method: 'delete'
  })
}

// 导出慰问记录
export function exportCondole(query) {
  return request({
    url: '/event/condole/export',
    method: 'get',
    params: query
  })
}
