import request from '@/utils/request'

// 查询信访件处理记录列表
export function listDispose(query) {
  return request({
    url: '/flow/dispose/list',
    method: 'get',
    params: query
  })
}

// 查询信访件处理记录详细
export function getDispose(id) {
  return request({
    url: '/flow/dispose/' + id,
    method: 'get'
  })
}

// 新增信访件处理记录
export function addDispose(data) {
  return request({
    url: '/flow/dispose',
    method: 'post',
    data: data
  })
}

// 修改信访件处理记录
export function updateDispose(data) {
  return request({
    url: '/flow/dispose',
    method: 'put',
    data: data
  })
}

// 删除信访件处理记录
export function delDispose(id) {
  return request({
    url: '/flow/dispose/' + id,
    method: 'delete'
  })
}

// 导出信访件处理记录
export function exportDispose(query) {
  return request({
    url: '/flow/dispose/export',
    method: 'get',
    params: query
  })
}