import request from '@/utils/request'

// 查询手机号申请记录列表
export function listPhoneApply(query) {
  return request({
    url: '/flow/phone-apply/list',
    method: 'get',
    params: query
  })
}

// 查询手机号申请记录详细
export function getPhoneApply(id) {
  return request({
    url: '/flow/phone-apply/' + id,
    method: 'get'
  })
}

// 新增手机号申请记录
export function addPhoneApply(data) {
  return request({
    url: '/flow/phone-apply',
    method: 'post',
    data: data
  })
}

// 修改手机号申请记录
export function updatePhoneApply(data) {
  return request({
    url: '/flow/phone-apply',
    method: 'put',
    data: data
  })
}

// 删除手机号申请记录
export function delPhoneApply(id) {
  return request({
    url: '/flow/phone-apply/' + id,
    method: 'delete'
  })
}

// 导出手机号申请记录
export function exportPhoneApply(query) {
  return request({
    url: '/flow/phone-apply/export',
    method: 'get',
    params: query
  })
}
