import request from '@/utils/request'

// 查询用章申请流程记录列表
export function listUseSeal(query) {
  return request({
    url: '/flow/useSeal/list',
    method: 'get',
    params: query
  })
}

// 查询用章申请流程记录详细
export function getUseSeal(id) {
  return request({
    url: '/flow/useSeal/' + id,
    method: 'get'
  })
}

// 新增用章申请流程记录
export function addUseSeal(data) {
  return request({
    url: '/flow/useSeal',
    method: 'post',
    data: data
  })
}

// 修改用章申请流程记录
export function updateUseSeal(data) {
  return request({
    url: '/flow/useSeal',
    method: 'put',
    data: data
  })
}

// 删除用章申请流程记录
export function delUseSeal(id) {
  return request({
    url: '/flow/useSeal/' + id,
    method: 'delete'
  })
}

// 导出用章申请流程记录
export function exportUseSeal(query) {
  return request({
    url: '/flow/useSeal/export',
    method: 'get',
    params: query
  })
}